# Configurações Gerais
root = true

[*]
charset = utf-8
indent_style = space
indent_size = 4
end_of_line = lf
insert_final_newline = true

[*.md]
trim_trailing_whitespace = false

# C# Configurações
[*.cs]
csharp_style_var_for_built_in_types = true:suggestion
dotnet_code_quality.CA1000.api_surface = all
dotnet_code_quality.CA1008.api_surface = all
dotnet_code_quality.CA1710.api_surface = all
dotnet_code_quality.CA1401.enabled = false
dotnet_code_quality.CAXXX.enabled = true

# Configurações para Testes
[*Test.cs]
dotnet_code_quality.CAXXX.api_surface = test 

# Supressões Específicas do SonarQube
# Supprimer les règles suivantes
dotnet_diagnostic.XXXX.severity = none
